<?php

include("../include/config/site.php");

// Version script

$version = "1.31";

// Fonctions mysql

function secure($value){
	$verif = htmlentities($value);
	$verif = str_replace('"', "", $verif);
	return $verif;
} 

function secure_mysql($value){
	$verif = mysql_real_escape_string($value);
	$verif1 = htmlentities($verif);
	return $verif1;
} 

function connexion_mysql() {
	require("../include/config/bdd.php");
	$serveur = mysql_connect($serveur_bdd,$identifiant_bdd,$passe_bdd);
	if (!$serveur) { die('<div id="msg-r">'.__("Non connect&eacute;").' : ' . mysql_error() .'</div>'); } 
	$db = mysql_select_db($base_bdd, $serveur);
	if (!$db) { die ('<div id="msg-r">'.__("Impossible d\'utiliser la base").' : ' . mysql_error() .'</div>'); } 	
}

function deco_mysql() {
	mysql_close();
}

// Fonctions de connexion

function connect() {
	include("../include/variables.php");
	if($s_identifiant!="" && $s_id!="" && strlen($s_id)=="32") {
		return 1;
	} else {
		return 0;
	}
}

function admin_connect() {
	include("../include/variables.php");
	if($s_niveau==1) {
		return 1;
	} else {
		return 0;
	}
}

function modo_connect() {
	include("../include/variables.php");
	if(@$s_niveau<=2) {
		return 1;
	} else {
		return 0;
	}
}

// Fonctions gnrales

function get_version($version) {
	@$path="http://membris.fr/infos.php";
	@$chaos=fopen($path,"r" );
	@$infos=fgets($chaos, 4096);
	@fclose($chaos);
	@$info=explode('<br />', $infos);
	if($version<$info[0]) {
		echo "<b>".__("La version ".$info[0]." est disponible au disponible")." <a href='".$info[1]."'>ici</a>.</b>";
	} else {
		echo __("Vous poss&eacute;dez d&eacute;j&agrave; la derni&egrave;re version de Membris.");
	}
}

function get_sidebar() {
	require("../include/config/site.php");
	include("theme/sidebar.php");
}

function get_captcha() {
	echo'<img src="include/class/captcha/captcha.php" alt="'.__("Captcha - Cliquez dessus pour le reg&eacute;n&eacute;rer").'" id="captcha" onclick="document.images.captcha.src=\'<?php echo $dossier; ?>captcha/captcha.php?id=\'+Math.round(Math.random(0)*1000)+1" />';
}

function get_msg($get,$type,$msg) {
	if($get=="") { echo"<div id='msg-$type'> $msg </div>"; }
	elseif(@$_GET['msg']==$get) { echo"<div id='msg-$type'> $msg </div>"; }
}

// Fonctions sur les modules

function get_module($place) {
	require("../include/variables.php");
	require("../include/config/site.php");
	if(@$_GET['page']=="") { $page = "index"; } else { $page = $_GET['page']; }
	$modules = mysql_query("SELECT * FROM me_plugin WHERE type='module' AND niveau>='$s_niveau' AND etat='1'");
	while($mod = mysql_fetch_array($modules)) {
		$pages = explode("|", $mod['page']); 
		if(preg_match("/$page/i", $mod['page']) || preg_match("/all/i", $mod['page'])) {
			if(file_exists("../$a_module/".$mod['acces']."/admin/$place.php")) { include("../$a_module/".$mod['acces']."/admin/$place.php"); }
		}
	}
}

function get_style_modules() {
	require("../include/variables.php");
	$styles = mysql_query("SELECT * FROM me_plugin WHERE type='module' AND etat='1'");
	while($style = mysql_fetch_array($styles)) {
		$smodule = $style['acces'];
		if(file_exists("../$a_module/$smodule/style.css")) { echo"<link rel='stylesheet' type='text/css' href='../$a_module/$smodule/style.css' />\n"; }
	}
}

// Fonctions de scurisation des pages

function get_secure($niveau,$type) {
	include("../include/variables.php");
	
	if(@$type=="seul") { 
		if($s_niveau!=$niveau && $_GET['page']!="connexion") {
			header("Location:?page=connexion&msg=niveau");
			exit();	
		}
	} elseif(@$type=="sup" || @$type!="seul") {
		if($s_niveau>$niveau && $_GET['page']!="connexion") {
			header("Location:?page=connexion&msg=niveau");
			exit();	
		}
	}
}

// Fonctions sur les valeurs et niveaux

function valeur_niveau($niveau) {
	if($niveau==4) { echo __("Visiteur"); }
	elseif($niveau==3) { echo __("Membre"); }
	elseif($niveau==2) { echo __("Mod&eacute;rateur"); }
	elseif($niveau==1) { echo __("Administrateur"); }
}

function liste_niveau($except) {
	$admin = "<option value='1'> ".__("Administrateur")." </option>\n";
	$mode = "<option value='2'> ".__("Mod&eacute;rateur")." </option>\n";
	$membre = "<option value='3'> ".__("Membre")."</option>\n";
	$vis = "<option value='4'> ".__("Visiteur")." </option>\n";
	if($except=='1') { echo $mode.$membre.$vis; }
	if($except=='2') { echo $admin.$membre.$vis; }
	if($except=='3') { echo $admin.$mode.$vis; }
	if($except=='4') { echo $admin.$mode.$membre; }
}

// Fonction sur les dates - heures - minutes - secondes

function ops($pdate,$ddate) {
	$ppdate = str_replace(":", "", $pdate);
	$dddate = str_replace(":", "", $ddate);
	$diff_date = $ppdate - $dddate;
return $diff_date;

}

// Fonction pagination

function pagination($nb, $max, $lien) {

$prec = $nb - 1;
$suiv = $nb + 1;
	
echo '<table id="pagination" border="0" cellpadding="5" cellspacing="5"> <tr>';
if($nb==1) { echo '<td id="active">&lsaquo;&lsaquo; '.__("Pr&eacute;d&eacute;dent").'</td>'; } else { echo '<td id="active"> <a href="'.$lien.'&nb='.$prec.'">&lsaquo;&lsaquo; '.__("Pr&eacute;d&eacute;dent").'</a></td>'; }
	if($nb==1) {
		$i = 1;
		while($i<=4 && $i<=$max) {
			if($nb==$i) { echo"<td id='nactive'>". $i . "</td>"; } else { echo"<td id='active'> <a href='".$lien."&nb=$i'>". $i . "</a> </td>"; }
			$i++;	
		}
		if($max>4) { echo "<td>...</td> <td id='active'> <a href='".$lien."&nb=$max'>". $max . "</a> </td>"; }
	} elseif($nb<=4) {
		$i = $nb - ($nb - 1);
		while($i <= ($nb +3) && $i<$max) {
			if($nb==$i) { echo"<td id='nactive'>". $i . "</td>"; } else { echo"<td id='active'> <a href='".$lien."&nb=$i'>". $i . "</a> </td>"; }
			$i++;	
		}
		echo "<td>...</td>";
		echo "<td id='active'> <a href='".$lien."&nb=$max'>". $max . "</a> </td>";
	} elseif($nb==5) {
		$i = 1;
		while($i <= ($nb +3) && $i<$max) {
			if($nb==$i) { echo"<td id='nactive'>". $i . "</td>"; } else { echo"<td id='active'> <a href='".$lien."&nb=$i'>". $i . "</a> </td>"; }
			$i++;	
		}
		echo "<td>...</td>";
		echo "<td id='active'> <a href='".$lien."&nb=$max'>". $max . "</a> </td>";
	} elseif($nb>=6 && ($nb + 4)<$max) {
		$i = $nb - 3;
		echo "<td id='active'> <a href='".$lien."&nb=1'>1</a> </td> <td>...</td>";
		while($i <= ($nb +3) && $i<$max) {
			if($nb==$i) { echo"<td id='nactive'>". $i . "</td>"; } else { echo"<td id='active'> <a href='".$lien."&nb=$i'>". $i . "</a> </td>"; }
			$i++;	
		}
		echo "<td>...</td>";
		echo "<td id='active'> <a href='".$lien."&nb=$max'>". $max . "</a> </td>";
	} elseif($nb >= ($max - 4)) {
		$i = $nb - 3;
		echo "<td id='active'> <a href='".$lien."&nb=1'>1</a> </td> <td>...</td>";
		while($i<=$max) {
			if($nb==$i) { echo"<td id='nactive'>". $i . "</td>"; } else { echo"<td id='active'> <a href='".$lien."&nb=$i'>". $i . "</a> </td>"; }
			$i++;	
		}
	}

if($nb==$max) { echo '<td id="active">'.__("Suivant").' &rsaquo;&rsaquo;</td>'; } else { echo '<td id="active"> <a href="'.$lien.'&nb='.$suiv.'">'.__("Suivant").' &rsaquo;&rsaquo;</a></td>'; }
echo '</tr> </table>';	

}

//Fonctions page utilisateurs

function activer_membre($membre) {
	if($membre!="") {
		mysql_query("UPDATE me_utilisateur SET etat='1', niveau='3' WHERE id='$membre'") or die('<div id="msg-r">'.__("Un probl&egrave;me est survenu").' :  ' . mysql_error() .'</div>'); 
		header("Location:?page=utilisateurs&msg=act"); 
	}
}

function desactiver_membre($membre,$niveau) {
	if($membre!="") {
		$id_membre = mysql_query("SELECT id,niveau FROM me_utilisateur WHERE id='$membre'") or die('<div id="msg-r">'.__("Un probl&egrave;me est survenu").' :  ' . mysql_error() .'</div>');
		$row = mysql_fetch_assoc($id_membre);
		if(mysql_num_rows($id_membre)=="1" && $row['niveau']>=$niveau) { 
			mysql_query("UPDATE me_utilisateur SET etat='0', niveau='4' WHERE id='$membre'") or die('<div id="msg-r">'.__("Un probl&egrave;me est survenu").' :  ' . mysql_error() .'</div>');
			header("Location:?page=utilisateurs&msg=des"); } else { header("Location:?page=utilisateurs&msg=ndes"); 
		} 
	}
}

function supprimer_membre($membre,$niveau) {
	if($membre!="") {
		$id_membre = mysql_query("SELECT id,niveau FROM me_utilisateur WHERE id='$membre'") or die('<div id="msg-r">'.__("Un probl&egrave;me est survenu").' :  ' . mysql_error() .'</div>');
		$row = mysql_fetch_assoc($id_membre);
		if(mysql_num_rows($id_membre)=="1" && $row['niveau']>=$niveau) { 
			mysql_query("DELETE FROM me_utilisateur WHERE id='$membre'") or die('<div id="msg-r">'.__("Un probl&egrave;me est survenu").' :  ' . mysql_error() .'</div>');
			header("Location:?page=utilisateurs&msg=suppr"); } else { header("Location:?page=utilisateurs&msg=nsuppr"); 
		} 
	}	
}

//Fonctions page inscription

function videntifiant($iden) {
	$verifi = mysql_query("SELECT identifiant FROM me_utilisateur WHERE identifiant='$iden'") or die('<div id="msg-r">'.__("Un probl&egrave;me est survenu. Veuillez r&eacute;esayer").'</div>');
	if(mysql_num_rows($verifi)==1) { return "1"; }
}

function vemail($mail) {
	$verife = mysql_query("SELECT email FROM me_utilisateur WHERE email='$mail'") or die('<div id="msg-r">'.__("Un probl&egrave;me est survenu. Veuillez r&eacute;esayer").'</div>');
	return mysql_num_rows($verife);
}

// Fonctions modification - supression de fichiers ou dossiers

function modif_ligne($new, $id, $file)
{
	
$nom = $new."\n";
$ligne = $id - 1;

if (is_file($file)) $content = file($file);
else $content = array();

        $content[(int) $ligne] = $nom;
        $content = implode("", $content);
        if (($fp = fopen($file, 'w')) !== FALSE) {
            fwrite($fp, $content);
            fclose($fp);
		} else {
			get_msg("", "r", __("Le fichier \"$file\" n'est pas accessible en &eacute;criture"));
			exit();
		}
}

function clearDir($dossier) {
	$ouverture=@opendir($dossier);
	if (!$ouverture) return;
	while($fichier=readdir($ouverture)) {
		if ($fichier == '.' || $fichier == '..') continue;
			if (is_dir($dossier."/".$fichier)) {
				$r=clearDir($dossier."/".$fichier);
				if (!$r) return false;
			}
			else {
				$r=@unlink($dossier."/".$fichier);
				if (!$r) return false;
			}
	}
	closedir($ouverture);
	$r=@rmdir($dossier);
	if (!$r) return false;
	return true;
}

// Fonction liste langues

	function languages() {
		return array(
			"sq" => "albanian",
			"ar" => "arabic",
			"bg" => "bulgarian",
			"ca" => "catalan",
			"zh-CN" => "chinese",
			"hr" => "croatian",
			"cs" => "czech",
			"da" => "danish",
			"nl" => "dutch",
			"en" => "english",
			"et" => "estonian",
			"tl" => "filipino",
			"fi" => "finnish",
			"fr" => "francais",
			"gl" => "galician",
			"de" => "german",
			"el" => "greek",
			"iw" => "hebrew",
			"hi" => "hindi",
			"hu" => "hungarian",
			"id" => "indonesian",
			"it" => "italian",
			"ja" => "japanese",
			"ko" => "korean",
			"lv" => "latvian",
			"lt" => "lithuanian",
			"mt" => "maltese",
			"no" => "norwegian",
			"fa" => "persian alpha",
			"pl" => "polish",
			"pt" => "portuguese",
			"ro" => "romanian",
			"ru" => "russian",
			"sr" => "serbian",
			"sk" => "slovak",
			"sl" => "slovenian",
			"es" => "spanish",
			"sv" => "swedish",
			"th" => "thai",
			"tr" => "turkish",
			"uk" => "ukrainian",
			"vi" => "vietnamese"
		);
	}


?>