<?php

// Version script

$version = "1.31";

// Include de certaines fonctions

include("include/pages.php");

// Fonctions mysql

function secure($value){
	$verif = htmlentities($value);
	$verif = str_replace('"', "", $verif);
	return $verif;
} 

function secure_mysql($value){
	$verif = mysql_real_escape_string($value);
	$verif1 = htmlentities($verif);
	return $verif1;
} 

function connexion_mysql() {
	require("config/bdd.php");
	$serveur = mysql_connect($serveur_bdd,$identifiant_bdd,$passe_bdd);
	if (!$serveur) { die('<div id="msg-r">Non connect&eacute; : ' . mysql_error() .'</div>'); } 
	$db = mysql_select_db($base_bdd, $serveur);
	if (!$db) { die ('<div id="msg-r">Impossible d\'utiliser la base : ' . mysql_error() .'</div>'); } 	
}

function deco_mysql() {
	mysql_close();
}

// Fonctions de connexion

function connect() {
	
include("include/variables.php");
	
	if($s_identifiant!="" && $s_id!="" && strlen($s_id)=="32") {
		return 1;
	} else {
		return 0;
	}
}

function admin_connect() {
	
include("include/variables.php");

	$session = $s_niveau;
	if($s_niveau==1) {
		return 1;
	} else {
		return 0;
	}
}

function modo_connect() {
	$session = $_SESSION['niveau'];
	if($_SESSION['niveau']<=2 || $_COOKIE['niveau']<=2) {
		return 1;
	} else {
		return 0;
	}
}

// Fonctions gnrales

function get_page($page, $avt, $apt) {
	
	include("include/config/site.php"); 
	include("include/variables.php");
	
if($s_identifiant!="") {
	$imembre = mysql_fetch_assoc(mysql_query("SELECT * FROM me_utilisateur WHERE identifiant='$s_identifiant'"));
	$s_niveau = $imembre['niveau'];
	$s_id = $imembre['id'];	
} else {
	$imembre = "";
	$s_niveau = "4";
	$s_id = "";
}

	$pagea = mysql_query("SELECT * FROM me_pages WHERE url='".secure($page)."' AND niveau>='".$s_niveau."' AND etat='1'");
	$pageac = mysql_fetch_assoc($pagea);
	$nb_pagea = mysql_num_rows($pagea);
	
	if(file_exists($a_theme."/".$theme."pages/".$page.".php")) { include($a_theme."/".$theme."pages/".$page.".php"); }
	elseif(file_exists("include/pages/".$page.".php")) {
		echo $avt." ".nom_page($page)." ".$apt;
		include("include/pages/".$page.".php"); 
	}
	elseif((file_exists("$a_page/$page.php") && $nb_pagea==1) || $page=="404") {
		echo $avt." ".$pageac['affich']." ".$apt;
		include("$a_page/$page.php");
	} else {
		header('HTTP/1.0 404 Not Found');
		include("$a_page/404.php");
	}
	
}

function get_sidebar($theme) {
	require("include/variables.php");
	require("include/config/site.php");
	include("$a_theme/$theme/sidebar.php");
}

function get_captcha() {
	echo'<img src="include/class/captcha.class.php" alt="Captcha - Cliquez dessus pour le reg&eacute;n&eacute;rer" id="captcha" onclick="document.images.captcha.src=\'include/class/captcha.class.php?id=\'+Math.round(Math.random(0)*1000)+1" />';
}

function get_msg($get,$type,$msg) {
	if(@$_GET['msg']==$get) { echo"<div id='msg-$type'> $msg </div>"; }
}

// Fonctions de scurisation des pages

function get_secure($niveau,$type) {
	include("include/variables.php");
	
	if(@$type=="seul") { 
		if($s_niveau!=$niveau && $_GET['page']!="connexion") {
			@$ref = urlencode($_SERVER['REQUEST_URI']);
			header("Location:?page=connexion&msg=niveau&ref=$ref");
			exit();	
		}
	} elseif(@$type=="sup" || @$type!="seul") {
		if($s_niveau>$niveau && $_GET['page']!="connexion") {
			@$ref = urlencode($_SERVER['REQUEST_URI']);
			header("Location:?page=connexion&ref=$ref");
			exit();	
		}
	}
}

function get_module($place) {
	require("include/variables.php");
	require("include/config/site.php");
	if(@$_GET['page']=="") { $page = "index"; } else { $page = $_GET['page']; }
	$modules = mysql_query("SELECT * FROM me_plugin WHERE type='module' AND niveau>='$s_niveau' AND etat='1'");
	while($mod = mysql_fetch_array($modules)) {
		$pages = explode("|", $mod['page']); 
		if( preg_match("/$page/i", $mod['page']) || preg_match("/all/i", $mod['page'])) {
			if(file_exists("$a_module/".$mod['acces']."/$place.php")) { include("$a_module/".$mod['acces']."/$place.php"); }
		}
	}
}

function get_style_modules() {
	require("include/variables.php");
	$styles = mysql_query("SELECT * FROM me_plugin WHERE etat='1'");
	while($style = mysql_fetch_array($styles)) {
		$smodule = $style['acces'];
		if(file_exists("$a_module/$smodule/style.css")) { echo"<link rel='stylesheet' type='text/css' href='$a_module/$smodule/style.css' />\n"; }
	}
}

// Fonctions sur les composants

function composant_exists($composant) {
	$compo = mysql_query("SELECT * FROM me_plugin WHERE type='composant' AND acces='".$composant."'");
	$compoi = mysql_fetch_assoc($compo);
	if(mysql_num_rows($compo)!=0) {
		if($compoi['etat']=="0") { return "0"; } else { return "1"; }
	} else {
		return "0";
	}
}

// Fonction sur les langues

function get_liste_lng($tav, $av, $ap) {
	$dossier = "include/lang/";
	$d = dir($dossier);
	echo $tav;
	while ($entry = $d->read())
	{
		if($entry != "." && $entry != ".."){
			$lien = $dossier .''.$entry;
			$lien = str_replace('Object ', 'fichiers/', $lien);
			if($entry=="index.html") { } else { 
					$li = file($dossier.$entry); 
					$ligne = str_replace(CHR(10),"",$li[0]);
					$ligne = str_replace(CHR(13),"",$ligne); 
					if($av=="<option>") { 
					$isol = substr($entry,0,-4);
						echo "<option value='$isol'>".$ligne."</option>\n";
					} else {
						echo $av.$ligne.$ap."\n";
					}
			}
		}
	}
$d->close(); 
}

// Fonction sur les dates - heures - minutes - secondes

function ops($pdate,$ddate) {
	$ppdate = str_replace(":", "", $pdate);
	$dddate = str_replace(":", "", $ddate);
	$diff_date = $ppdate - $dddate;
return $diff_date;

}

// Fonction pagination

function pagination($nb, $max, $lien) {

$prec = $nb - 1;
$suiv = $nb + 1;
	
echo '<table id="pagination" border="0" cellpadding="5" cellspacing="5"> <tr>';
if($nb==1) { echo '<td id="active">&lsaquo;&lsaquo; Pr&eacute;d&eacute;dent</td>'; } else { echo '<td id="active"> <a href="'.$lien.'&nb='.$prec.'">&lsaquo;&lsaquo; Pr&eacute;d&eacute;dent</a></td>'; }
	if($nb==1) {
		$i = 1;
		while($i<=4 && $i<=$max) {
			if($nb==$i) { echo"<td id='nactive'>". $i . "</td>"; } else { echo"<td id='active'> <a href='".$lien."&nb=$i'>". $i . "</a> </td>"; }
			$i++;	
		}
		if($max>4) { echo "<td>...</td> <td id='active'> <a href='".$lien."&nb=$max'>". $max . "</a> </td>"; }
	} elseif($nb<=4) {
		$i = $nb - ($nb - 1);
		while($i <= ($nb +3) && $i<$max) {
			if($nb==$i) { echo"<td id='nactive'>". $i . "</td>"; } else { echo"<td id='active'> <a href='".$lien."&nb=$i'>". $i . "</a> </td>"; }
			$i++;	
		}
		echo "<td>...</td>";
		echo "<td id='active'> <a href='".$lien."&nb=$max'>". $max . "</a> </td>";
	} elseif($nb==5) {
		$i = 1;
		while($i <= ($nb +3) && $i<$max) {
			if($nb==$i) { echo"<td id='nactive'>". $i . "</td>"; } else { echo"<td id='active'> <a href='".$lien."&nb=$i'>". $i . "</a> </td>"; }
			$i++;	
		}
		echo "<td>...</td>";
		echo "<td id='active'> <a href='".$lien."&nb=$max'>". $max . "</a> </td>";
	} elseif($nb>=6 && ($nb + 4)<$max) {
		$i = $nb - 3;
		echo "<td id='active'> <a href='".$lien."&nb=1'>1</a> </td> <td>...</td>";
		while($i <= ($nb +3) && $i<$max) {
			if($nb==$i) { echo"<td id='nactive'>". $i . "</td>"; } else { echo"<td id='active'> <a href='".$lien."&nb=$i'>". $i . "</a> </td>"; }
			$i++;	
		}
		echo "<td>...</td>";
		echo "<td id='active'> <a href='".$lien."&nb=$max'>". $max . "</a> </td>";
	} elseif($nb >= ($max - 4)) {
		$i = $nb - 3;
		echo "<td id='active'> <a href='".$lien."&nb=1'>1</a> </td> <td>...</td>";
		while($i<=$max) {
			if($nb==$i) { echo"<td id='nactive'>". $i . "</td>"; } else { echo"<td id='active'> <a href='".$lien."&nb=$i'>". $i . "</a> </td>"; }
			$i++;	
		}
	}

if($nb==$max) { echo '<td id="active">Suivant &rsaquo;&rsaquo;</td>'; } else { echo '<td id="active"> <a href="'.$lien.'&nb='.$suiv.'">Suivant &rsaquo;&rsaquo;</a></td>'; }
echo '</tr> </table>';	

}

//Fonctions page inscription

function videntifiant($iden) {
	$verifi = mysql_query("SELECT identifiant FROM me_utilisateur WHERE identifiant='$iden'") or die('<div id="msg-r">Un probl&egrave;me est survenu. Veuillez r&eacute;esayer</div>');
	if(mysql_num_rows($verifi)>0) { return true; }
}

function vemail($mail) {
	$verife = mysql_query("SELECT email FROM me_utilisateur WHERE email='$mail'") or die('<div id="msg-r">Un probl&egrave;me est survenu. Veuillez r&eacute;esayer</div>');
	return mysql_num_rows($verife);
}

// Langues

	function languages() {
		return array(
			"sq" => "albanian",
			"ar" => "arabic",
			"bg" => "bulgarian",
			"ca" => "catalan",
			"zh-CN" => "chinese",
			"hr" => "croatian",
			"cs" => "czech",
			"da" => "danish",
			"nl" => "dutch",
			"en" => "english",
			"et" => "estonian",
			"tl" => "filipino",
			"fi" => "finnish",
			"fr" => "francais",
			"gl" => "galician",
			"de" => "german",
			"el" => "greek",
			"iw" => "hebrew",
			"hi" => "hindi",
			"hu" => "hungarian",
			"id" => "indonesian",
			"it" => "italian",
			"ja" => "japanese",
			"ko" => "korean",
			"lv" => "latvian",
			"lt" => "lithuanian",
			"mt" => "maltese",
			"no" => "norwegian",
			"fa" => "persian alpha",
			"pl" => "polish",
			"pt" => "portuguese",
			"ro" => "romanian",
			"ru" => "russian",
			"sr" => "serbian",
			"sk" => "slovak",
			"sl" => "slovenian",
			"es" => "spanish",
			"sv" => "swedish",
			"th" => "thai",
			"tr" => "turkish",
			"uk" => "ukrainian",
			"vi" => "vietnamese"
		);
	}


?>